Bug 1527311 - Microcode on AMD family 16h processors not updated early in the boot process [rhel-7.3.z]
Summary: Microcode on AMD family 16h processors not updated early in the boot process ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut
Version: 7.3
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Lukáš Nykrýn
QA Contact: Release Test Team
Marie Dolezelova
URL:
Whiteboard:
Keywords: ZStream
: 1529309 (view as bug list)
Depends On: 1476039
Blocks: CVE-2017-5715
TreeView+ depends on / blocked
 
Reported: 2017-12-19 07:46 UTC by Oneata Mircea Teodor
Modified: 2018-01-08 10:09 UTC (History)
15 users (show)

(edit)
Previously, the dracut tool incorrectly copied the AMD family 15h microcode into the Initial RAM File System (initramfs) on systems with AMD family 16h processors. Consequently, the microcode on such systems was not updated early enough in the boot process. This update fixes dracut to copy the correct AMD family 16h microcode into initramfs, and the microcode is now correctly updated in the early phase of the boot process.
Clone Of: 1476039
(edit)
Last Closed: 2018-01-04 23:33:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0043 normal SHIPPED_LIVE dracut bug fix update 2018-01-05 04:33:01 UTC

Description Oneata Mircea Teodor 2017-12-19 07:46:44 UTC
This bug has been copied from bug #1476039 and has been proposed to be backported to 7.3 z-stream (EUS).

Comment 3 Jan Stodola 2018-01-03 12:57:49 UTC
Reproduced on RHEL-7.3 GA.
Verified with dracut-033-463.el7_3.3 on systems with AMD CPU, families 21 and 22. In both cases the correct microcode was included in the early CPIO image:

Family 21:
# cat /proc/cpuinfo | grep "cpu family" | head -n1
cpu family      : 21
# ls -l /usr/lib/firmware/amd-ucode/
total 40
-rw-r--r--. 1 root root 12684 Aug 30  2016 microcode_amd.bin
-rw-r--r--. 1 root root   490 Aug 30  2016 microcode_amd.bin.asc
-rw-r--r--. 1 root root  7876 Aug 30  2016 microcode_amd_fam15h.bin
-rw-r--r--. 1 root root   473 Aug 30  2016 microcode_amd_fam15h.bin.asc
-rw-r--r--. 1 root root  3510 Aug 30  2016 microcode_amd_fam16h.bin
-rw-r--r--. 1 root root   473 Aug 30  2016 microcode_amd_fam16h.bin.asc
# lsinitrd | grep AMD
-rw-r--r--   1 root     root         7876 Jan  3 07:53 kernel/x86/microcode/AuthenticAMD.bin
#

Family 22:
# cat /proc/cpuinfo | grep "cpu family" | head -n1
cpu family      : 22
# ls -l /usr/lib/firmware/amd-ucode/
total 40
-rw-r--r--. 1 root root 12684 Aug 30  2016 microcode_amd.bin
-rw-r--r--. 1 root root   490 Aug 30  2016 microcode_amd.bin.asc
-rw-r--r--. 1 root root  7876 Aug 30  2016 microcode_amd_fam15h.bin
-rw-r--r--. 1 root root   473 Aug 30  2016 microcode_amd_fam15h.bin.asc
-rw-r--r--. 1 root root  3510 Aug 30  2016 microcode_amd_fam16h.bin
-rw-r--r--. 1 root root   473 Aug 30  2016 microcode_amd_fam16h.bin.asc
# lsinitrd | grep AMD
-rw-r--r--   1 root     root         3510 Jan  3 07:53 kernel/x86/microcode/AuthenticAMD.bin
#

Moving to VERIFIED.

Comment 5 Lukáš Nykrýn 2018-01-04 10:30:13 UTC
*** Bug 1529309 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2018-01-04 23:33:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0043


Note You need to log in before you can comment on or make changes to this bug.